import n from "../../../@babel/runtime/helpers/esm/objectWithoutProperties.mjs";
import t from "../../../@babel/runtime/helpers/esm/objectSpread2.mjs";
import p from "../../../@babel/runtime/helpers/esm/typeof.mjs";
import * as s from "react";
var c = ["show"];
function _(f, r) {
  return s.useMemo(function() {
    var e = {};
    r && (e.show = p(r) === "object" && r.formatter ? r.formatter : !!r), e = t(t({}, e), f);
    var a = e, o = a.show, i = n(a, c);
    return t(t({}, i), {}, {
      show: !!o,
      showFormatter: typeof o == "function" ? o : void 0,
      strategy: i.strategy || function(m) {
        return m.length;
      }
    });
  }, [f, r]);
}
export {
  _ as default
};
